QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Lab Testing
    v1.0.0

    Search lab testing orders

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    orderIdstringqueryNoFilter by the QIMA internal order ID.
    qimaRefNostringqueryNoFilter by the QIMA lab order reference number.
    bookingRefNostringqueryNoFilter by the client's booking reference number.
    testDatestringqueryNoFilter by the scheduled test date.
    reportDatestringqueryNoFilter by the report due or issuance date.
    statusstringqueryNoFilter by the current order status.
    accountstringqueryNoFilter by partial or full company (client account) name.
    supplierstringqueryNoFilter by partial or full supplier name.
    productNamestringqueryNoFilter by product name.
    purchaseOrderNostringqueryNoFilter by the client's purchase order number.
    submitterstringqueryNoFilter by the name or identifier of the person who submitted the order.
    clientIdstringqueryYesClient ID
    pageintegerqueryYesPage number
    sizeintegerqueryYesPage size

    Request Body

    Content-Type: application/json

    FieldTypeRequiredDescription
    Responses

    200
    Paginated list of lab testing orders returned successfully.

    Content-Type: application/json

    generalInformation
    object
    FieldTypeDescription
    orderIdstringOrder ID
    qimaRefNostringLab order number
    bookingRefNostringProduct reference number
    testDatestringTest start date
    reportDatestringReport due date
    statusstringOrder status
    clientstringCompany name
    clientIdstringCompany ID
    supplierstringSupplier name
    supplierIdstringSupplier ID
    submitterstringSubmitter
    submitterIdstringSubmitter ID
    programstringProgram
    programIdstringProgram ID
    FieldTypeDescription
    productNamestringProduct name
    purchaseOrderNostringClient PO number
    GET
    /v1.2/lt/orders
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "generalInformation": { "orderId": "string", "qimaRefNo": "string", "bookingRefNo": "string", "testDate": "string", "reportDate": "string", "status": "string", "client": "string", "clientId": "string", "supplier": "string", "supplierId": "string", "submitter": "string", "submitterId": "string", "program": "string", "programId": "string" }, "product": { "productName": "string", "purchaseOrderNo": "string" } }